[Debian-live-changes] r2399 - in dists/trunk/live-helper: docs hooks

otavio at alioth.debian.org otavio at alioth.debian.org
Wed Jul 4 14:03:34 UTC 2007


Author: otavio
Date: 2007-07-04 14:03:34 +0000 (Wed, 04 Jul 2007)
New Revision: 2399

Modified:
   dists/trunk/live-helper/docs/ChangeLog
   dists/trunk/live-helper/hooks/mini
   dists/trunk/live-helper/hooks/minimal
Log:
Fix mini and minimal hooks to not fail if the package isn't installed


Modified: dists/trunk/live-helper/docs/ChangeLog
===================================================================
--- dists/trunk/live-helper/docs/ChangeLog	2007-07-04 14:02:27 UTC (rev 2398)
+++ dists/trunk/live-helper/docs/ChangeLog	2007-07-04 14:03:34 UTC (rev 2399)
@@ -1,3 +1,8 @@
+2007-07-04  Otavio Salvador  <otavio at debian.org>
+
+	* hooks/mini, hooks/minimal:
+	  - Do not fail if the package isn't installed.
+
 2007-07-04  Daniel Baumann  <daniel at debian.org>
 
 	* functions/defaults.sh:

Modified: dists/trunk/live-helper/hooks/mini
===================================================================
--- dists/trunk/live-helper/hooks/mini	2007-07-04 14:02:27 UTC (rev 2398)
+++ dists/trunk/live-helper/hooks/mini	2007-07-04 14:03:34 UTC (rev 2399)
@@ -10,9 +10,13 @@
 set -e
 
 # Removing unused packages
-apt-get remove --purge --yes apt-utils aptitude
-apt-get remove --purge --yes man-db manpages info
-apt-get remove --purge --yes ssl wget
+for PACKAGE in apt-utils aptitude man-db manpages info ssl wget
+do
+	if ! apt-get remove --purge --yes "${PACKAGE}"
+	then
+		echo "WARNING: ${PACKAGE} isn't installed"
+	fi
+done
 
 # Removing unused files
 find . -name *~ | xargs rm -f

Modified: dists/trunk/live-helper/hooks/minimal
===================================================================
--- dists/trunk/live-helper/hooks/minimal	2007-07-04 14:02:27 UTC (rev 2398)
+++ dists/trunk/live-helper/hooks/minimal	2007-07-04 14:03:34 UTC (rev 2399)
@@ -10,9 +10,13 @@
 set -e
 
 # Removing unused packages
-apt-get remove --purge --yes apt-utils aptitude
-apt-get remove --purge --yes man-db manpages info
-apt-get remove --purge --yes ssl wget
+for PACKAGE in apt-utils aptitude man-db manpages info ssl wget
+do
+	if ! apt-get remove --purge --yes "${PACKAGE}"
+	then
+		echo "WARNING: ${PACKAGE} isn't installed"
+	fi
+done
 
 # Removing unused files
 find . -name *~ | xargs rm -f




More information about the Debian-live-changes mailing list